Summary: LibreSchool Client Local Admin Users
Name: libreschool-adminusers
Version: 1.0.1
Release: 1.ns7
License: GPL
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root
Source0: %{name}-%{version}.tar.gz
Source1: COPYING
URL: %{url_prefix}/%{name}
Requires: libreschool-release
Requires: libreschool-client-manager
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: nethserver-devtools
BuildRequires: systemd

%description
LibreSchool Client Local Admin Users

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -not -name '*.orig' -print  | cpio -dump $RPM_BUILD_ROOT)
%{genfilelist} $RPM_BUILD_ROOT                   > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"                             >> %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/ansible/reconfigure_clients.yml

%postun
#if [ "$1" = 1 ]; then
#  #upgrade
#fi
if [ "$1" = 0 ]; then
  #uninstallation
  /sbin/e-smith/db configuration delete adminusers
  /sbin/e-smith/expand-template /etc/ansible/reconfigure_clients.yml
fi

%changelog
* Sun Mar 8 2020 Paolo Asperti <paolo@asperti.com> - 1.0.1-1.ns7
- First round of fixes

* Sun Mar 8 2020 Paolo Asperti <paolo@asperti.com> - 1.0.0-1.ns7
- First release
